Bug 493887 - S-c-tools cleanup: make OK button insensitive when no action has been taken.
S-c-tools cleanup: make OK button insensitive when no action has been taken.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On: 495745
Blocks: 493602
  Show dependency treegraph
 
Reported: 2009-04-03 06:09 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 13:28:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ok_sensitivity patch (9.64 KB, patch)
2009-05-19 10:31 EDT, Roman Rakus
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-03 06:09:03 EDT
Description of problem:
"OK" button is sensitive even no changes were done but it should be insensitive when "Cancel" button available.

How reproducible: 
/*places*/

Steps to Reproduce:
1. invoke some dialog
2. check if "OK" button is sensitive

Actual results:
"OK" button is sensitive.

Expected results:
"OK" should not be sensitive.

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't hesitate to ask project maintainers for any kind of help.
Comment 1 Roman Rakus 2009-05-12 08:14:12 EDT
I will do it
Comment 2 Roman Rakus 2009-05-19 10:31:21 EDT
Created attachment 344625 [details]
ok_sensitivity patch

This patch fix this bug.
Also fix one small bug:
When you try to add new raid device, fill something, hit the Cancel button and try to add new raid device there are previously filled data and should be clean (this is fixed in this patch)
Comment 3 Chris Lumens 2009-05-20 13:28:16 EDT
Great, thanks for the patch.  This will be in the next build of system-config-kickstart.

Note You need to log in before you can comment on or make changes to this bug.